#ifndef ARRAY_H
#define ARRAY_H

#include <flex/value.h>
/*
 * No description
 */
namespace Flex {
  class Array : public Value {
    Value ** values;
    int length;
    int size;
  	public:
  		Array();
  		~Array();
  		FlexType::Type Type();
  		int Length();
  		void Push(Value * value);
  		Value * Get(int index);
  		void Set(int index, Value * value);
  		char * ToString();
  		Value * Clone();
  };
};

#endif
