#ifndef VALUE_H
#define VALUE_H

#include <flex/type.h>
/*
 * No description
 */
namespace Flex {
  class Value {
  	public:
  		virtual ~Value(){}
  		virtual FlexType::Type Type();
  		virtual void Push(Value * value);
  		virtual Value * Get(int index);
  		virtual void Set(int index, Value * value);
  		virtual Value * Get(const char * key);
  		virtual void Set(const char * key, Value * value);
  		virtual int Length();
  		virtual Value * Keys();
  		virtual char * ToString();
  		virtual bool ToBoolean();
  		virtual int ToInt();
  		virtual double ToFloat();
  		virtual Value * Clone();
  };
};

#endif // VALUE_H
