#ifndef OBJECT_H
#define OBJECT_H

#include <flex/value.h>
/*
 * No description
 */
namespace Flex {
  class Object : public Value {
    struct Node {
      char * key;
      Value * value;
      Node * next;
    }*root;
  	public:
  		Object();
  		~Object();
   		FlexType::Type Type();
  		Value * Get(const char * key);
  		void Set(const char * key, Value * value);
  		Value * Keys();
  		char * ToString();
  		Value * Clone();
  };
};

#endif
